Bug 26949 - Upgrade TinyMCE in the staff interface from 5.0.16 to 5.9.2
Summary: Upgrade TinyMCE in the staff interface from 5.0.16 to 5.9.2
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-06 12:16 UTC by Owen Leonard
Modified: 2021-10-08 14:25 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-11-06 12:16:07 UTC
The version of TinyMCE we use in the staff client is a little over a year old now. As long as we are talking about issues with it (like Bug 26942) I think it's worthwhile to get it up to date.
Comment 1 Owen Leonard 2020-11-06 13:04:13 UTC
This patch is too large to attach. Remote branch is here:

https://gitlab.com/koha-dev/koha-dev/-/tree/bug-26949-tinymce-upgrade
Comment 2 David Nind 2020-11-14 21:54:48 UTC
Hi Owen.

I have tested (I managed to figure out how to checkout a remote branch from a different repository!).

Everything seems to work as it did before.

However, a couple of things I noticed:

- Nothing happens when I click on the Visual aids and Help icons: this behavour is also on master as well).
- On the About Koha > Licenses page the licence for TinyMCE still shows as v5.0.016.
- Select the Display location for news: this is probably not related to this bug, but there is some odd behavour happening:
  . When you add a new news item, All is an option
  . When you go to edit the news item the option list displays as empty and there is no All option in the drop down list (still shows in the list of all news item as All)
  . If you change it to something else, save, then go to edit again, All reappears as an option

So for the bug itself, I'm signing off.

I don't know how to sign off a change for a remote branch in another repository, but I'm happy to sign off.

David
Comment 3 Owen Leonard 2021-01-12 14:08:08 UTC
Remove branch is updated to remove the "Visual aid" and "Help" buttons which don't work. The about page is updated to reflect the correct version and copyright information.

https://gitlab.com/koha-dev/koha-dev/-/tree/bug-26949-tinymce-upgrade

----------------------

Bug 26949: Upgrade TinyMCE in the staff interface from 5.0.16 to 5.5.1

This patch upgrades TinyMCE in the staff interface from 5.0.16 to 5.5.1.
Other than the required TinyMCE package files, the only other change
is to the internationalization include file, which is updated to include
the latest set of strings for translation.

To test, apply the patch and clear your browser cache if necessary.

Test that the TinyMCE editor works in the staff interface:

 - In system preferences, with the  UseWYSIWYGinSystemPreferences
   preference enabled: IntranetCirculationHomeHTML,
   IntranetmainUserblock, IntranetReportsHomeHTML, etc.
 - News, with the NewsToolEditor preference set to "WYSIWYG."
 - Administration -> Libraries, in the "OPAC info" field.
Comment 4 David Nind 2021-01-24 22:49:28 UTC
Hi Owen.

I've retested and everything seems okay.

The only thing I noticed was that on the Administration > Libraries input form the Visual Aids and Help buttons are back, everywhere else I could fine those buttons are not there.

I assume to sign off, I just change the status to signed off?

David
Comment 5 Owen Leonard 2021-09-28 12:23:09 UTC
I've updated the remote branch again, this time with the upgrade taking us to TinyMCE version 5.9.2.

> https://gitlab.com/koha-dev/koha-dev/-/tree/bug-26949-tinymce-upgrade

----------------------

Other than the required TinyMCE package files, the only other change is
to the internationalization include file, which is updated to include
the latest set of strings for translation.

To test, apply the patch and clear your browser cache if necessary.

Test that the TinyMCE editor works in the staff interface:

 - In system preferences, with the  UseWYSIWYGinSystemPreferences
   preference enabled: IntranetCirculationHomeHTML,
   IntranetmainUserblock, IntranetReportsHomeHTML, etc.
 - Additional contents, with the AdditionalContentsEditor preference
   set to "WYSIWYG."
 - Administration -> Libraries, in the "OPAC info" field.
Comment 6 David Nind 2021-09-28 18:38:28 UTC
Hi Owen.

I've retested and happy to sign-off.

The only minor thing noted was the version number for TinyMCE needs updating in the about page.

David
Comment 7 David Nind 2021-09-29 23:01:10 UTC
Awesome - thanks for fixing Owen.

Happy to ad my sign off.

David
Comment 8 Owen Leonard 2021-09-30 10:26:02 UTC
The remote branch has been updated to add David's signoff. Thanks David!
Comment 9 Katrin Fischer 2021-10-03 15:20:13 UTC
No problems spotted, can you please add my sign-offs as well? :)
Comment 10 Owen Leonard 2021-10-04 11:15:06 UTC
(In reply to Katrin Fischer from comment #9)
> No problems spotted, can you please add my sign-offs as well? :)

Remote branch updated to add Katrin's signoff. Thanks Katrin!
Comment 11 Jonathan Druart 2021-10-06 08:37:03 UTC
Pushed to master for 21.11, thanks to everybody involved!